import ChartView from '../../view/Chart.js';
import GlobalModel from '../../model/Global.js';
import ExtensionAPI from '../../core/ExtensionAPI.js';
import { Payload } from '../../util/types.js';
import PieSeriesModel from './PieSeries.js';
declare class PieView extends ChartView {
    static type: string;
    ignoreLabelLineUpdate: boolean;
    private _data;
    private _emptyCircleSector;
    private _titleEls;
    render(seriesModel: PieSeriesModel, ecModel: GlobalModel, api: ExtensionAPI, payload: Payload): void;
    dispose(): void;
    containPoint(point: number[], seriesModel: PieSeriesModel): boolean;
    _renderTitle(seriesModel: PieSeriesModel, ecModel: GlobalModel, api: ExtensionAPI): void;
}
export default PieView;
